﻿    @using DevExpress.Web.Mvc;
    @using System.Web.UI.WebControls;

    @Html.DevExpress().PopupControl(
        settings =>
        {
            settings.Name = "popupCompletenessCheck";
            settings.Width = 200;            
            settings.AllowDragging = true;
            settings.CloseAction = CloseAction.CloseButton;
            settings.PopupAnimationType = AnimationType.Fade;
            settings.HeaderText = "Run Completeness Check";
            settings.Modal = true;
            settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
            settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
            settings.SetContent(() =>
            {
                using (Html.BeginForm("ModalMode", "PopupControl", FormMethod.Post, new { id = "popupForm", @class = "edit_form", @style = "width: 260px" })){
                    Html.Hidden("MatNo");
                    ViewContext.Writer.Write("<div class=\"line\">");
                    Html.DevExpress().Label(
                        labelSettings => {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "Check Timing:";
                            labelSettings.AssociatedControlName = "CheckTiming";
                            labelSettings.Width = 80;
                        }
                    )
                    .Render();                    
                    Html.DevExpress().DateEdit(
                        dateEdit =>
                        {
                            dateEdit.Name = "CheckTiming";
                            dateEdit.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            dateEdit.Properties.EditFormat = EditFormat.Custom;
                            dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                            dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                            dateEdit.Width = 150;
                            dateEdit.Date = DateTime.Now;
                        }
                    ).Render();                                 
                    ViewContext.Writer.Write( "</div><div class=\"line\">" );
                    Html.DevExpress().Label(
                        labelSettings => {
                            labelSettings.ControlStyle.CssClass = "label";
                        }
                    )
                    .Render();
                    Html.DevExpress().Button(
                        buttonSettings => {
                            buttonSettings.Name = "btnSubmit";
                            buttonSettings.ControlStyle.CssClass = "button";
                            buttonSettings.Width = 80;
                            buttonSettings.Text = "OK";
                            buttonSettings.UseSubmitBehavior = true;
                        }
                    )
                    .Render();
                    Html.DevExpress().Button(
                        buttonSettings => {
                            buttonSettings.Name = "btnCancel";
                            buttonSettings.ControlStyle.CssClass = "button";
                            buttonSettings.Width = 80;
                            buttonSettings.Text = "Cancel";
                            buttonSettings.ClientSideEvents.Click = "function(s, e){ popupCompletenessCheck.Hide(); }";
                        }
                    )
                    .Render();
                    ViewContext.Writer.Write("</div><div class=\"line\">");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                        }
                    )
                    .Render();
                    ViewContext.Writer.Write("</div><b class=\"Clear\"></b>");
                }
            });

            //settings.ClientSideEvents.CloseUp = "function(s, e){ ASPxClientEdit.ClearEditorsInContainer(null, '', true); }";
        }).GetHtml()

